Skip to navigation

Update Product Sort Order

Updates sort order of products within a specific category.

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Productsmodifystore_v2_products
Productsread-onlystore_v2_products_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

category_idintegerRequired

The ID of the Category to which the resource belongs.

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Query parameters

pageintegerOptional

Specifies the page number in a limited (paginated) list of results.

Request

This endpoint expects a list of objects.
product_idintegerRequired>=1
The ID of the associated product.
sort_orderintegerRequired>=0
The relative priority of the product among other products inside the category.

Response

OK
product_idinteger>=1
The ID of the associated product.
sort_orderinteger>=0
The relative priority of the product among other products inside the category.

Errors

403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error